---
lang: en
title: 'API docs: health'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/health
permalink: /doc/en/lb4/apidocs.health.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/health](./health.md)

## health package

A component to report health status using [@cloudnative/health](https://github.com/CloudNativeJS/cloud-health)<!-- -->.

## Classes

<table><thead><tr><th>

Class


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[HealthComponent](./health.healthcomponent.md)


</td><td>

A component providing health status


</td></tr>
</tbody></table>

## Namespaces

<table><thead><tr><th>

Namespace


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[HealthBindings](./health.healthbindings.md)


</td><td>

Binding keys used by this component.


</td></tr>
<tr><td>

[HealthTags](./health.healthtags.md)


</td><td>

Binding tags for health related services


</td></tr>
</tbody></table>

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[DEFAULT\_HEALTH\_OPTIONS](./health.default_health_options.md)


</td><td>


</td></tr>
</tbody></table>

## Type Aliases

<table><thead><tr><th>

Type Alias


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[HealthConfig](./health.healthconfig.md)


</td><td>

Configuration for health component with optional properties


</td></tr>
<tr><td>

[HealthOptions](./health.healthoptions.md)


</td><td>

Options for health component


</td></tr>
<tr><td>

[LiveCheck](./health.livecheck.md)


</td><td>

Functions for liveness check


</td></tr>
<tr><td>

[ReadyCheck](./health.readycheck.md)


</td><td>

Functions for readiness check


</td></tr>
</tbody></table>

